lucene-solr-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Shawn Heisey <s...@elyograg.org>
Subject Re: Upgrading from 3.6 to 4.0
Date Wed, 02 Jan 2013 18:48:48 GMT
On 1/2/2013 11:34 AM, Benjamin, Roy wrote:
> Thanks all,
>
>>> You should not use a a 3.6 SolrJ client with Solr 4 server.
> I run 100 shards and 20 clients. If above is correct then the entire
> system must be shut down for many hours for an upgrade...

Using SolrJ 3.6 against a Solr 4 server will *probably* work, as long as 
you are not attempting to use SolrCloud, and your Solr 4 config is 
otherwise completely compatible with the older client.  If you just make 
the minimum adjustments required to get your 3.6 config to work in 4, 
rather than refactoring it to conform to the latest best practices, then 
you might be OK.  No guarantees can be made of course.  The best thing 
you can do is test everything on development hardware.

Additional note: If you are already using the newer server objects in 
SolrJ 3.6 (HttpSolrServer in most cases) you might be able to drop the 
v4 SolrJ jar into your 3.6 SolrJ app and have it continue to work.  You 
could give that a try before you even upgrade your server side.

Thanks,
Shawn


Mime
View raw message